Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1126376
Description of problem:

When creating content-host, creation fails with:

Validation failed: Facts can't be blank (ActiveRecord::RecordInvalid)
even if facts are set. This is a regression.

Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140730.0-Satellite-x86_64

How reproducible:
always

Steps to Reproduce:

1.

curl -s -H "Content-Type:application/json" -H "Accept:application/json,version=2" -k -u admin:changeme -d '{"type":"
"facts":{"release":"6Server", "architecture":"x86_64"}, "host_colletion_id":{}, "organization_id":3, "description":"Initial
Parameters:\nOS: redhat-release-server\nRelease: 6Server\nCPU Arch: x86_64\nsat5_system_id: 1000020000",
"name":"mysytem-123.example.com"}' $(hostname)/katello/api/systems

Actual results: {"displayMessage":"Validation failed: Facts can't be blank","errors":{"facts":["can't be blank"]}}

Expected results:
Content host created.

Additional info:

system",
Registration

This is a regression, same command worked with Satellite-6.0.4-RHEL-6-20140723.0-Satellite-x86_64 as expected.

This bug blocks migration of content-hosts.

Associated revisions

Revision 6f38a256 - 08/06/2014 05:39 PM - Christine Fouant
fixes #4922, #6937 - Fixes issue with not being able to update system facts, BZ 1103860, 1126376

History

#1 - 08/05/2014 07:52 PM - Eric Helms
- Target version set to 54
- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 08/06/2014 07:01 PM - Christine Fouant
- Status changed from New to Closed

- % Done changed from 0 to 100
https://bugzilla.redhat.com/show_bug.cgi?id=1126376

Applied in changeset katello|6{38a256be89400a4900429bdad7f78e2e3f101.

#3 - 08/22/2014 09:25 AM - Eric Helms

- translation missing: en.field_release set to 13
